#!/bin/bsh
#set -x
#
#
#ePadLink
#Feb 3, 2014
#not using /proc file system any more!!
#/dev/bus/bus has same functionalities as in /proc/bus/usb
#May 3, 2012
#
#to get the ePad device then chmod rw for others under /proc/bus/usb/*/*
#
#must running this script with root
if [ $(id -u) != "0" ]; then
   echo "You must be root to run this script" 
   exit 1
fi
#where is the lsusb
OSName=""
if [ -f /etc/redhat-release ]; then
   OSName=`cat /etc/redhat-release | awk '{print $1}'`
elif [ -f /etc/debian_version ]; then
   OSName="ubuntu"
fi
#ubuntu system uname may return ubuntu12, therefore only get first 6 chars
LSUSB=""
USEUBUNTU="0"
if [ "${OSName}" = "CentOS" ]; then
   LSUSB="/sbin/lsusb"
elif [ "${OSName}" = "Fedora" ]; then
   LSUSB="/usr/bin/lsusb"
elif [ "$(echo ${OSName} | cut -c1-6)" = "ubuntu" ]; then
   LSUSB="/usr/bin/lsusb"
   USEUBUNTU="1"
fi

#know which usb our devices are located under
BusNum="0"
if [ ${#LSUSB} -gt 0 ]; then
	BusNum=`${LSUSB} 2>/dev/null | grep "Interlink " | awk '{print $2}'`
	if [ ${#BusNum} -gt 3 ]; then
	   BusNum=`echo $BusNum | awk '{print $1}'`
	fi
	echo $BusNum
	if [ "$BusNum" != "" ]; then
	   #chmod 666 /proc/bus/usb/"$BusNum"/*
	   #chmod 777 /dev/bus/usb/"$BusNum"/
	   #chmod 666 /dev/bus/usb/"$BusNum"/*
	   chmod 777 /sys/kernel/debug
           #need to copy "50-usb-epadlink-devs.rules" to /etc/udev/rules.d
           if [ ${USEUBUNTU} != "0" ]; then 
              cp /usr/share/ePad/bin/50-usb-epadlink-devs.rules /etc/udev/rules.d
              chmod 444 /etc/udev/rules.d/50-usb-epadlink-devs.rules
           fi
	fi
fi
exit 0
